---
author: mikeconrad
title: About Me
---

#### Keeping systems up and running with automation, a lot of elbow grease and sometimes a little luck. 
I have spent the last 10 years refining my craft.  My solid grasp of fundamentals in computer networking and software development set me apart.  I have a passion for learning and growing in my trade and a relentless desire to solve complex problems and scale systems.
My curiosity and determination constantly drive me to explore new frontiers and push the boundaries.  

With experience in DevOps and Site Reliability Engineering (SRE), I've spent years fine-tuning the art of keeping systems up, running, and automated. Whether it's untangling complex and obscure bugs in production to optimizing and automating test environments, I thrive on making things work smoothly behind the scenes.  This space is where I share my thoughts on software, automation, and the tech that powers everything we rely on daily.

I am an  engineer with 10+ years in the industry.  My journey into software development started out in a call center in Tampa Florida doing tech support for Dell Computers.  The year was 2010.  I was into technology and computers and had studied hard to ace my `CompTIA Network+` certificate but I didn't have any background in programming.

I remember some co-workers of mine built some small web applications to help us automate some of the mundane tasks of data entry that we would have to do on support calls.  I thought those guys were so cool that they could just make something out of nothing.

In 2011 I decided it was time for a change in my life and I quit my job, packed my bags and headed to Chattanooga TN.  I got a job working for Comcast as a field service technician since I already had 4 years of experience doing that back in Florida.

I continued to mess around with tech and home servers, trying to hone my skills and get my foot in the door in IT.  In 2014 I got the opportunity to work full time at my local church in the IT department.  At the time we had a staff of around 50 people not including volunteers.  My day to day responsibilities included everything from installing/configuring routers and switches to running cabling and setting up servers.

It was in that position that my passion for software really started to ignite.  As I was involved in managing so many different systems on a daily basis, I began to see the need for automation and software that could make things easier.  I was also working part time in a restaurant attached to the church.  One of my first software projects was creating a digital menu board with a Raspberry PI and a TV mounted on a wall outside the restaurant.

I remember I struggled to get a WordPress site up and running.  I had never touched PHP or JavaScript up to that point but I was pretty comfortable with BASH and some basic scripting.  I also have a knack for diving in and trying to figure things out.  I finally got that menu board up and running and maintained it for a year or so.  It was my first "production" system and sparked something in me that has never left.

While in that role, I also designed and built a Kitchen display system that synced with the restaurants POS and pulled displayed tickets in real time as they came in.  It was my first full stack development project.  HTML, CSS and JavaScript on the frontend and PHP with a MySQL database on the backend.  I was pretty proud of that project even though it never really got use in "production".

From there I started learning web proxies and device filtering technologies.  I left that role in 2017 and started my own venture.  Enxo LLC.  My goal was to create parental control software that actually worked, that was effective and not trivial to get around.  I bought a small Dell server, installed Ubuntu Server on it and started playing around with LXC containers.

I found an option source proxy solution that was written in Go that I deployed to my server and also set up VPN connections and firewalls.  I was using an MDM solution to manage my customers devices and I built a custom web portal with NodeJS and PHP to help manage everything as well as to generate weekly reports to send out to my customers.

I even built an iOS app in Swift but unfortunately was never able to get it into the app store.  I learned a lot from that venture but ultimately I felt like I would never be able to take on big tech by myself and I just wouldn't be able to build it the way that I wanted.

## Professional Career

Fast forward to 2019 the start of my "professional" career.  I was doing the freelance thing for awhile and also working in a restaurant part time.  It was cool and all but then my wife got pregnant with our first child and I knew that it was time for me to get a "real" job.

I faced the same challenge that a lot of people face in that I had some practical hands on experience but I didn't have any real world or professional experience.  I applied to a number of jobs and eventually got a call back from a company out of Massachusetts called Virtual Inc.  They were hiring for a junior and senior web developer position.

I applied for the junior position knowing that I didn't have enough background to get the senior role.  The job was OK and the company was pretty cool.  I was doing mostly WordPress, a little bit of Salesforce and some other one off CRM's thrown in the mix as well.  It was great to put on my resume and pay the bills but it wasn't necessarily what I wanted to do long term.

In my spare time I was playing around with StatamicCMS.  One day I got a call from an agency recruiter asking if I could help wrap up a Statamic project they were working on.  I jumped at the opportunity.  Almost a year went by after I wrapped up that project until one day I came across a LinkedIn post from that agency looking for a Senior FRontend developer.  I reached out and after a short interview process got the role!

...TO BE CONTINUED...