---
author: Mike Conrad
categories:
- Software Engineering
date: "2023-07-12T11:32:44Z"
image: /images/hoots-locations-min.webp
tags:
- Portfolio
title: Hoots Wings

---

While working for [Morrison](https://morrison.agency/) I had the pleasure of building a website for [Hoots Wings.](https://hootswings.com) The CMS was [Perch](https://grabaperch.com/) and it was mostly HTML, CSS, PHP and JavaScript on the frontend, however I built out a customer store locator using NodeJS and VueJS.

![](/images/hoots-home.webp)I was the sole frontend developer responsible for taking the designs from SketchUp and translating them to the site you see now. Most of the blocks and templates are built using a mix of PHP and HTML/SCSS. There was also some JavaScript for things like getting the users location and rendering popups/modals.

The store locator was a separate piece that was built in Vue2.0 with a NodeJS backend. For the backend I used [KeystoneJS](https://keystonejs.com/) to hold all of the store information. There was also some custom development that was done in order to sync the stores added via the CMS with [Yext](https://www.yext.com/) and vice versa.

![hootswings.com screenshot](/images/hoots-locations-min-1024x522.webp)For that piece I ended up having to write a custom integration in Perch that would connect to the NodeJS backend and pull the stores but also make sure that those were in sync with Yext. This required diving into the Yext API some and examining a similar integration that we had for another client site.

Unfortunately I don’t have any screen grabs of the admin side of things since that is proprietary but the system I built allowed a site admin to go in and add/edit store locations that would show up on the site and also show up in Yext with the appropriate information.

#### Screenshots

Here are some full screenshots of the site.

Homepage

![hootswings.com homepage screenshot](/images/hootswings-home-full-635x1024.webp)Menu Page

![](/images/hootswings-menu-page-550x1024.png)Locations Page

![](/images/hootswings-locations-page-432x1024.png)