---
author: Mike Conrad
categories:
- Cloudflare
- Docker
- Open Source
- Security
- Self Hosted
date: "2024-07-16T22:15:23Z"
tags:
- Upwork Project
title: SFTP Server Setup for Daily Inventory File Transfers
---

### Job Description

> We are looking for an experienced professional to help us set up an SFTP server that will allow our vendors to send us inventory files on a daily basis. The server should ensure secure and reliable file transfers, allowing our vendors to easily upload their inventory updates. The successful candidate will possess expertise in SFTP server setup and configuration, as well as knowledge of network security protocols. The required skills for this job include:
> 
> – SFTP server setup and configuration  
> – Network security protocols  
> – Troubleshooting and problem-solving skills
> 
> If you have demonstrated experience in setting up SFTP servers and ensuring smooth daily file transfers, we would love to hear from you.

---

### My Role

I walked the client through the process of setting up a Digital Ocean account. I created a `Ubuntu 22.04` VM and installed [SFTPGo](https://github.com/drakkan/sftpgo). I set the client up with an administrator user so that they could easily login and manage users and shares. I implemented some basic security practices as well and set the client up with a custom domain and free TLS/SSL certificate from LetsEncrypt. With the documentation and screenshots I provided the client, they were able to get everything up and running and add users and connect other systems easily and securly.

---

## Client Feedback

> Rating is 5 out of 5.
> 
> Michael was EXTREMELY helpful and great to work with. We really benefited from his support and help with everything.